#include "stm32l4xx.h"

#ifndef stepkaj_CRC_h
#define stepkaj_CRC_h

	typedef struct 		//struct for data to be checked by CRC16
	{
	int16_t LISX,LISY,LISZ;
	uint16_t T,RH;
	}data_t;

uint8_t CRC8_calc(uint8_t *data, uint8_t cnt);
uint16_t CRC16_calc(data_t *data);

#endif
